Bug 501579 - yum doesn't display cleanup progress on updates
yum doesn't display cleanup progress on updates
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 16:10 EDT by James Antill
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 16:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-05-19 16:10:00 EDT
Description of problem:
 With the updates-testing version of yum (3.2.22-5) you get:

Running Transaction
  Updating       : sudo-1.7.1-2.fc10.x86_64                                 1/4 
  Updating       : sos-1.8-11.fc10.noarch                                   2/4 

Updated:
  sos.noarch 0:1.8-11.fc10              sudo.x86_64 0:1.7.1-2.fc10             

...this is fixed by 9988a288f8d2ac1c00820a471bcffcf42ad2aa9e which is:

-    def pkgname_ui(self, pkgname, ts_states=('e' 'o')):
+    def pkgname_ui(self, pkgname, ts_states=('e', None)):

...basically a typo and "useful" python means that:

In [1]: None in ('a', 'b')
Out[1]: False

In [2]: None in ('a' 'b')
---------------------------------------------------------------------------
TypeError                                 Traceback (most recent call last)

/home/james/work/redhat/rpm/private/yum/<ipython console> in <module>()

TypeError: 'in <string>' requires string as left operand

...so the even safer fix is to do:

-    def pkgname_ui(self, pkgname, ts_states=('e' 'o')):
+    def pkgname_ui(self, pkgname, ts_states=('e', 'o')):

...but the upstream fix should be safe enough, if we care enough about this, and means you get full version info. for the pkgs.
Comment 1 seth vidal 2009-07-08 15:10:38 EDT
closed? sort of? james?
Comment 2 James Antill 2009-07-08 16:10:46 EDT
It's fixed in .23 (I'm 99% sure) ... so closed.

Note You need to log in before you can comment on or make changes to this bug.